package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceDataDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备统计数据 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-11
 */
@RestMappingController("/device-data")
public interface DeviceDataService {

    /**
     * 添加/累加
     * @param saveOrAccum
     * @return
     */
    @PostMapping("saveOrAccum")
    R saveOrAccum(@RequestBody @Validated DeviceDataDto.SaveOrAccum saveOrAccum);
}
